Package org.wildfly.plugin.core

## Class GalleonUtils

- java.lang.Object
- - org.wildfly.plugin.core.GalleonUtils

-     @Deprecated(forRemoval=true)
      public class GalleonUtils
      extends Object

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GalleonUtils()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildConfig​(Path provisioningFile)` | Deprecated, for removal: This API element is subject to removal in a future version. Build a Galleon provisioning configuration based on a provisioning.xml file.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildConfig​(org.jboss.galleon.ProvisioningManager pm, List<FeaturePack> featurePacks, List<String> layers, List<String> excludedLayers, Map<String,​String> pluginOptions, String layersConfigFileName)` | Deprecated, for removal: This API element is subject to removal in a future version. Build a Galleon provisioning configuration.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildDefaultConfig()` | Deprecated, for removal: This API element is subject to removal in a future version. Build a default WildFly provisioning config.
    `static org.jboss.galleon.config.ProvisioningConfig` | `buildDefaultConfig​(String featurePackLocation, String version)` | Deprecated, for removal: This API element is subject to removal in a future version. Build a default WildFly provisioning config.
    `static void` | `provision​(Path jbossHome, String featurePackLocation, String version, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` | Deprecated, for removal: This API element is subject to removal in a future version. Galleon provisioning of a default server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleonUtils

          public GalleonUtils()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### provision

          public static void provision​(Path jbossHome,
                                       String featurePackLocation,
                                       String version,
                                       org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                                throws org.jboss.galleon.ProvisioningException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Galleon provisioning of a default server.
      Parameters:
        `jbossHome` - Server installation directory
        `featurePackLocation` - the location of the feature pack
        `version` - WildFly version, if null latest is used.
        `artifactResolver` - Artifact resolver used by Galleon
      Throws:
        `org.jboss.galleon.ProvisioningException` - if there is an error provisioning the server

    - #### buildDefaultConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildDefaultConfig()
                                                                                throws org.jboss.galleon.ProvisioningDescriptionException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Build a default WildFly provisioning config.
      Returns:
      Throws:
        `org.jboss.galleon.ProvisioningDescriptionException`

    - #### buildDefaultConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildDefaultConfig​(String featurePackLocation,
                                                                                       String version)
                                                                                throws org.jboss.galleon.ProvisioningDescriptionException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Build a default WildFly provisioning config.
      Parameters:
        `version` - WildFly version, if null latest is used.
      Returns:
      Throws:
        `org.jboss.galleon.ProvisioningDescriptionException`

    - #### buildConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildConfig​(Path provisioningFile)
                                                                         throws org.jboss.galleon.ProvisioningException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Build a Galleon provisioning configuration based on a provisioning.xml file.
      Parameters:
        `provisioningFile` -
      Returns:
        The provisioning config.
      Throws:
        `org.jboss.galleon.ProvisioningException`

    - #### buildConfig

          public static org.jboss.galleon.config.ProvisioningConfig buildConfig​(org.jboss.galleon.ProvisioningManager pm,
                                                                                List<FeaturePack> featurePacks,
                                                                                List<String> layers,
                                                                                List<String> excludedLayers,
                                                                                Map<String,​String> pluginOptions,
                                                                                String layersConfigFileName)
                                                                         throws org.jboss.galleon.ProvisioningException,
                                                                                IllegalArgumentException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Build a Galleon provisioning configuration.
      Parameters:
        `pm` - The Galleon provisioning runtime.
        `featurePacks` - The list of feature-packs.
        `layers` - Layers to include.
        `excludedLayers` - Layers to exclude.
        `pluginOptions` - Galleon plugin options.
        `layersConfigFileName` - The name of the configuration generated from layers
      Returns:
        The provisioning config.
      Throws:
        `org.jboss.galleon.ProvisioningException`
        `IllegalArgumentException`